# Class CIM_PSExtentBasedOnPExtent
extends CIM_BasedOn

Covered by ProtectedExtentBasedOn or CompositeExtentBasedOn, since PhysicalExtent itself is deprecated in lieu of these associations. ProtectedSpaceExtents are BasedOn a PhysicalExtent. This relationship is made explicit by this association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_BasedOn
|
+--CIM_PSExtentBasedOnPExtent

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_ProtectedExtentBasedOn, CIM_CompositeExtentBasedOn
Description | string | Covered by ProtectedExtentBasedOn or CompositeExtentBasedOn, since PhysicalExtent itself is deprecated in lieu of these associations. ProtectedSpaceExtents are BasedOn a PhysicalExtent. This relationship is made explicit by this association.
UMLPackagePath | string | CIM::Device::SccExtents
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
StartingAddress | uint64 |
Deprecated | string | CIM_CompositeExtentBasedOn.StartingAddress, CIM_ProtectedExtentBasedOn.StartingAddress
Description | string | The starting logical block address of the PhysicalExtent from which this ProtectedSpaceExtent is derived.
MappingStrings | string | MIF.DMTF|Protected Space Extent|001.2
Override | string | StartingAddress

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_PSExtentBasedOnPExtent | CIM_PhysicalExtent
Dependent | CIM_PSExtentBasedOnPExtent | CIM_ProtectedSpaceExtent

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
EndingAddress | uint64 | CIM_BasedOn
OrderIndex | uint16 | CIM_BasedOn

## Class Methods